/**
 * Interfaz de escenas
 */
export interface Escena {
  key?: string;
  nombre: undefined;
  descripcion: undefined;
  latlon: LatLon;
  direccion: undefined;
  activo: boolean;
  telefono: string;
  cerraduras: EscenaCerradura[];
}
/**
 * Interfaz de posición de las escenas
 */
export interface LatLon {
  key?: string;
  lat: string;
  lon: string;
}

/**
 * Interfaz de las cerraduras de una escena
 */
export interface EscenaCerradura {
  key?: string;
  cerradura_key: string;
  orden: number;
}
