import { Component } from "@angular/core";
import {
  IonicPage,
  NavController,
  LoadingController,
  Loading
} from "ionic-angular";

@IonicPage()
@Component({
  selector: "page-welcome",
  templateUrl: "welcome.html"
})
export class WelcomePage {
  loading: Loading;
  constructor(
    public navCtrl: NavController,
    private loadingCtrl: LoadingController
  ) {}

  login() {
    let a: any = this.navCtrl.push("LoginPage", {
      animation: true,
      direction: "backward"
    });
    console.log(a);
  }

  signup() {
    this.navCtrl.push("ActivatePage", {
      animation: true,
      direction: "fordward"
    }); 
  }

  ionViewDidEnter() {
    this.loading = this.loadingCtrl.create();

    this.loading.present();

    if (
      window.localStorage.getItem("remember") == "true" &&
      window.localStorage.getItem("email") &&
      window.localStorage.getItem("password")
    ) {
      this.loading.dismiss().then(
        () => {
          this.navCtrl.setRoot("HomePage");
        },
        () => {}
      );
    } else {
      this.loading.dismiss().then(() => {}, () => {});
    }
  }
}
