import {Injectable} from '@angular/core';
import {AngularFireDatabase} from 'angularfire2/database';
import {Acceso} from '../../models/accesos/acceso.model';

@Injectable()
export class AccesosService {
  private accesos = this.db.list<Acceso>('Accesos');
  acceso: Acceso;

  constructor(private db: AngularFireDatabase) {}

  /**
   * Añade un registro de acceso para auditar
   * @param acceso Objeto acceso a insertar
   */
  addAcceso(acceso: Acceso) {
    return this.accesos.push(acceso);
  }
}
