import { NgModule } from "@angular/core";
import { IonicPageModule, IonicPage } from "ionic-angular";
import { ActivatePage } from "./activate";

import { TranslateModule } from "@ngx-translate/core";
import {
  AngularFireDatabase,
  AngularFireDatabaseModule
} from "angularfire2/database";

@IonicPage()
@NgModule({
  declarations: [ActivatePage],
  imports: [IonicPageModule.forChild(ActivatePage), TranslateModule.forChild()],
  providers: [AngularFireDatabase, AngularFireDatabaseModule]
})
export class ActivatePageModule {}
