import { Component } from '@angular/core';
import { IonicPage, NavController, NavParams, ToastController, LoadingController, AlertController } from 'ionic-angular';
import { TranslateService } from '@ngx-translate/core';
import { AngularFireAuth } from 'angularfire2/auth';

@IonicPage()
@Component({
  selector: 'page-activate',
  templateUrl: 'activate.html',
})
export class ActivatePage {

  constructor(    public navCtrl: NavController,
    public toastCtrl: ToastController,
    public translateService: TranslateService,
    public navParams: NavParams,
    private afAuth: AngularFireAuth,
    private loadingCtrl: LoadingController,
    private alertCtrl: AlertController,
) {
  }

  ionViewDidLoad() {
    console.log('ionViewDidLoad ActivatePage');
  }

}
