import {NgModule} from '@angular/core';
import {IonicPage, IonicPageModule} from 'ionic-angular';
import {TranslateModule} from '@ngx-translate/core';
import {AngularFireDatabase, AngularFireDatabaseModule} from 'angularfire2/database';

// Páginas
import {LoginPage} from './login';
import { UsuarioService } from '../../services/usuario/usuario.service';

@IonicPage()
@NgModule({
  declarations: [LoginPage],
  imports: [IonicPageModule.forChild(LoginPage), TranslateModule.forChild()],
  providers: [AngularFireDatabase, AngularFireDatabaseModule, UsuarioService]
})
export class LoginPageModule {}
