import { NgModule } from '@angular/core';
import { IonicPageModule, IonicPage } from 'ionic-angular';
import { ResetPage } from './reset';
import { TranslateModule } from '@ngx-translate/core';
import { AngularFireDatabase, AngularFireDatabaseModule } from 'angularfire2/database';
import { UsuarioService } from '../../services/usuario/usuario.service';

@IonicPage()
@NgModule({
  declarations: [
    ResetPage,
  ],
  imports: [
    IonicPageModule.forChild(ResetPage), TranslateModule.forChild()],
  providers: [ AngularFireDatabase, AngularFireDatabaseModule, UsuarioService],

})
export class ResetPageModule { }
